Bug 411188 - InlineMessage wrong Button positioning
Summary: InlineMessage wrong Button positioning
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kirigami
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: 5.61.0
Platform: Other Linux
: NOR normal (vote)
Target Milestone: Not decided
Assignee: Marco Martin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-08-22 19:30 UTC by Alexander Stippich
Modified: 2019-09-19 13:47 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.63


Attachments
wrong (23.99 KB, image/png)
2019-08-22 19:30 UTC, Alexander Stippich
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Stippich 2019-08-22 19:30:55 UTC
Created attachment 122296 [details]
wrong

The button of an action for an InlineMessage is wrongly positioned with latest release. The button is now positioned below the actual content, see screenshot.

Qt gives
QML InlineMessage: Binding loop detected for property "implicitHeight"

Does not happen with Frameworks 5.60.
Comment 1 Nate Graham 2019-08-23 18:44:28 UTC
Would you be able to git bisect it?
Comment 3 Marco Martin 2019-09-19 08:49:09 UTC
Git commit 2b621905511d54b37d396090facb777f979df713 by Marco Martin.
Committed on 19/09/2019 at 08:48.
Pushed by mart into branch 'master'.

Layout.fillWidth should be done by the client

M  +0    -2    src/controls/ActionToolBar.qml

https://commits.kde.org/kirigami/2b621905511d54b37d396090facb777f979df713